aboutsummaryrefslogtreecommitdiffstats
path: root/misc/havecert.tmpl
diff options
context:
space:
mode:
authorATT default cloud user <dgl@research.att.com>2017-08-31 21:34:47 +0000
committerATT default cloud user <dgl@research.att.com>2017-08-31 21:34:47 +0000
commit17b1b97378d6a83e525e22ee2507d2a844e05fed (patch)
tree0fd53a712428c1c40846aacbdd838c91f49e6561 /misc/havecert.tmpl
parentf40a12a92277d035e109ff43f35e02c37f0d0601 (diff)
DMAAP-83 Initial code import
Change-Id: I7807b0f59bd2acb55a2df98632112f28a9f64f74 Signed-off-by: ATT default cloud user <dgl@research.att.com>
Diffstat (limited to 'misc/havecert.tmpl')
-rw-r--r--misc/havecert.tmpl11
1 files changed, 11 insertions, 0 deletions
diff --git a/misc/havecert.tmpl b/misc/havecert.tmpl
new file mode 100644
index 0000000..00a0a34
--- /dev/null
+++ b/misc/havecert.tmpl
@@ -0,0 +1,11 @@
+#!/bin/bash
+cat <<!EOF
+TZ=GMT0
+cd /opt/app/dmaapbc;
+if [ -f ${DMAAPBC_KSTOREFILE:-etc/keystore} ]
+then
+ exit 0
+fi
+echo `date '+%F %T,000'` WARN Certificate file "${DMAAPBC_KSTOREFILE:-etc/keystore}" is missing >>${DMAAPBC_LOGS:-logs}/dmaapbc.log
+exit 1
+!EOF